Package org.apache.wiki.ui.admin.beans

## Class SearchManagerBean

- java.lang.Object
- - org.apache.wiki.management.SimpleMBean
  - - org.apache.wiki.ui.admin.SimpleAdminBean
    - - org.apache.wiki.ui.admin.beans.SearchManagerBean

All Implemented Interfaces:
  `javax.management.DynamicMBean`, `AdminBean`, `GenericHTTPHandler`

    public class SearchManagerBean
    extends SimpleAdminBean

The SearchManagerBean is a simple AdminBean interface to the SearchManager. It currently can be used to force a reload of all of the pages.

Since:
  2.6

### Field Summary

### Fields inherited from class org.apache.wiki.ui.admin.SimpleAdminBean

`m_engine`

### Fields inherited from class org.apache.wiki.management.SimpleMBean

`m_beanInfo`

### Fields inherited from interface org.apache.wiki.ui.admin.AdminBean

`CORE, EDITOR, UNKNOWN`

### Constructor Summary

Constructors
`SearchManagerBean​(Engine engine)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `doGet​(Context context)` By default, this method creates a blob of HTML, listing all the attributes which can be read or written to.
`java.lang.String` `doPost​(Context context)` Not implemented yet.
`java.lang.String[]` `getAttributeNames()` This method must return a list of attributes which are exposed by the SimpleMBean.
`java.lang.String[]` `getMethodNames()` This method must return a list of operations which are to be exposed by the SimpleMBean.
`java.lang.String` `getTitle()` Return a human-readable title for this AdminBean.
`int` `getType()` Returns a type (UNKNOWN, EDITOR, etc).
`void` `reload()` Starts a background thread which goes through all the pages and adds them to the reindex queue.

### Methods inherited from class org.apache.wiki.ui.admin.SimpleAdminBean

`getId, initialize`

### Methods inherited from class org.apache.wiki.management.SimpleMBean

`getAttribute, getAttributes, getDescription, getMBeanInfo, invoke, setAttribute, setAttributes`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SearchManagerBean

    public SearchManagerBean​(Engine engine)
                      throws javax.management.NotCompliantMBeanException

Throws:
  `javax.management.NotCompliantMBeanException`

### Method Detail

#### getAttributeNames

    public java.lang.String[] getAttributeNames()

Description copied from class: `SimpleMBean`
This method must return a list of attributes which are exposed by the SimpleMBean. If there's a getXXX() method available, it'll be exposed as a getter, and if there's a setXXX() method available, it'll be exposed as a setter. For example:

         public void setFoo( String foo ) ...
         public String getFoo() ...

         public String[] getAttributeNames()
         {
             String[] attrs = { "foo" };

             return attrs;
         }

Also, methods starting with "is" are also recognized as getters (e.g. `public boolean isFoo()`.)

Specified by:
  `getAttributeNames` in class `SimpleMBean`
Returns:
  An array of attribute names that can be get and optionally set.

#### getMethodNames

    public java.lang.String[] getMethodNames()

Description copied from class: `SimpleMBean`
This method must return a list of operations which are to be exposed by the SimpleMBean. Note that using overloaded method names is not supported - only one will be exposed as a JMX method at random.

Specified by:
  `getMethodNames` in class `SimpleMBean`
Returns:
  An array of method names that should be exposed as JMX operations.

#### getTitle

    public java.lang.String getTitle()

Description copied from interface: `AdminBean`
Return a human-readable title for this AdminBean.

Returns:
  the bean's title

#### reload

    public void reload()

Starts a background thread which goes through all the pages and adds them to the reindex queue.

This method prevents itself from being called twice.

#### getType

    public int getType()

Description copied from interface: `AdminBean`
Returns a type (UNKNOWN, EDITOR, etc).

Returns:
  the bean's type

#### doGet

    public java.lang.String doGet​(Context context)

Description copied from class: `SimpleAdminBean`
By default, this method creates a blob of HTML, listing all the attributes which can be read or written to. If the attribute is read-only, a readonly input widget is created. The value is determined by the toString() method of the attribute.

Specified by:
  `doGet` in interface `GenericHTTPHandler`
Overrides:
  `doGet` in class `SimpleAdminBean`
Parameters:
  `context` - associated WikiContext
Returns:
  the HTML for the bean

#### doPost

    public java.lang.String doPost​(Context context)

Description copied from class: `SimpleAdminBean`
Not implemented yet.

Specified by:
  `doPost` in interface `GenericHTTPHandler`
Overrides:
  `doPost` in class `SimpleAdminBean`
Parameters:
  `context` - associated WikiContext
Returns:
  the response string resulting from the POST